Subject: Re: perl: cpan module's interactive mode fails
From: "Gerrit P. Haase" <[email-masked]>
To: Thomas Berger <[email-masked]>, [email-masked]
Cc: Stephan Petersen <[email-masked]>, [email-masked], [email-masked]
Date: Thu, 19 Aug 2004 10:55:26 +0200

Thomas schrieb:

> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1

> Hi Stephan & Gerrit,

> My original reply to the cygwin list somehow did not arrive,
> thus the personal mail.

> | I just ran "perl -MCPAN -e shell" and tried to install Bundle::LWP.
> |
> | But when it does "Scanning cache /home/sp/.cpan/build for sizes", see
> below, it chokes with (see output below):
> |
> | /usr/bin/tar: Skipping to next header
> | /usr/bin/tar: Archive contains obsolescent base-64 headers
> | gzip: stdin: invalid compressed data--crc error
> | gzip: stdin: invalid compressed data--length error
> |
> |
> | I removed all ~/.cpan stuff, tried it again, no difference.
> |
> | Does anybody have an idea what's going on?

> I had the same problem but could not quite nail it down to either
> a shell issue or one of the cywwin1.dll:

> cpan.pm executes a system call

> ~    system("$CPAN::Config->{gzip} -dc $read > $write")==0;

> This
> gzip -dc input > output
> injects DOS Line breaks to output and thus corrupts the resulting
> tarfile (gzip -d works correctly, it seems to be a matter with
> the STDOUT redirection).
> I've been playing with binmode settings and different shells to no
> avail (but I'm not at all proficient in that area).

> The Solution was to install Compress::Zlib by hand (actually by
> temporarily tweaking cpan.pm to
> ~ system("$CPAN::Config->{gzip} -d $read")==0;
> in the line above): With Compress::Zlib installed cpan.pm does not
> any more try to employ gzip.

The perl package distributed via the cygwin mirrors already includes
Compress::Zlib, so there should be no problems with a fresh perl
installation.

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/